# Carregando a biblioteca para anlise de dados de amostras complexas

library(survey)

# Selecionando a pasta onde est o arquivo de dados "sbbrasil2003.rda"
#   Substitua abaixo "C:/pasta1" pelo drive e pasta onde est o arquivo

setwd("C:/pasta1")
getwd()

# Opes para uso do mtodo do conglomerado primrio

options(survey.ultimate.cluster = TRUE)

# Correo para estrato com uma nica UPA no subconjunto que venha a ser definido
# que consiste em estimar a varincia usando a mdia da populao e no na mdia do estrato
#  (se todo o arquivo for processado as opoes abaixo no tm influncia sobre os resultados)

options(survey.lonely.psu = "adjust")

# Correo similar para uma nica UPA no domnio de estimao que venha a ser definido

options(survey.adjust.domain.lonely = TRUE)

# Carregando o objeto com todos os dados e a estrutura do desenho de amostra complexa

load("sbbrasil2003.rda")